import { DBConnector } from '../db/index.js';
class Product {
    constructor() {
        this.GET_INSTALLED_PRODUCT = `
    SELECT
      UPF.CDFILIAL,
      '' AS CDCAIXA,
      UPF.UPDATERPRODID,
      UPF.NRVERSAOATUAL
    FROM
      UPDATERPRODFILI UPF
    WHERE
      NRVERSAOATUAL IS NOT NULL

    UNION ALL

    SELECT
      UPFCX.CDFILIAL,
      UPFCX.CDCAIXA,
      UPFCX.UPDATERPRODID,
      UPFCX.NRVERSAOATUAL
    FROM
      UPDATERPRODFILICX UPFCX
    WHERE
      NRVERSAOATUAL IS NOT NULL

    ORDER BY UPDATERPRODID, CDFILIAL, CDCAIXA
  `;
    }
    getInstalledProducts(conn) {
        return DBConnector.instance.fetch(conn, this.GET_INSTALLED_PRODUCT);
    }
}
const instance = new Product();
export { instance as Product };
export default instance;
